Create Leads
curl --request POST \
--url https://api.chat-dash.com/v1/public/agents/{agentId}/leads \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
[
{
"phone": "<string>",
"customFields": {},
"tags": [
"<string>"
]
}
]
'import requests
url = "https://api.chat-dash.com/v1/public/agents/{agentId}/leads"
payload = [
{
"phone": "<string>",
"customFields": {},
"tags": ["<string>"]
}
]
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify([{phone: '<string>', customFields: {}, tags: ['<string>']}])
};
fetch('https://api.chat-dash.com/v1/public/agents/{agentId}/leads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "<string>",
"phone": "<string>",
"customFields": {},
"tags": [
"<string>"
]
}
]{
"error": "An unexpected error occurred"
}Leads
Create Leads
Create one or more new leads for a agent
POST
/
agents
/
{agentId}
/
leads
Create Leads
Headers
All requests to the ChatDash API must be validated with the agency API Key found on your agency profile
Path Parameters
The ID of the agent
Body
application/json
⌘I
